Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027240
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-07-30 18:252015-12-11 08:46
ReporterumartirenaView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision0a811f99d7f8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027240: On Change Function does not take effect in not editable fields in Process Definition windows

DescriptionIf a function is defined in On Change Function field on a parameter of a Process Definition window and this parameter is not editable, while the value of the parameter is changed the On Change Function is not executed. This happens because the function is only triggered on onblur.
Steps To ReproduceGo to Process Definition Window and define an On Change Function for difference parameter in Add Payment process.
Go to Payment In window and create a Header with amount 0.
Click on Add Payment. Check that "There is a difference" parameter is 0.00.
Put Actual Payment 30.
Deselect all lines in Order/Invoices grid if some where selected.
Check that "There is a difference" parameter is 30.00.
Realize that is has changed but the On Change Function it hasn't been executed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029544 closedcaristu onChange event does not work fine using Date parameters in Process Definition 

-  Notes
(0082515)
hgbot (developer)
2015-12-02 09:29

Repository: erp/devel/pi
Changeset: 0a811f99d7f816312ef1cbfbf7831ad584d5ca8d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Dec 02 09:27:26 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0a811f99d7f816312ef1cbfbf7831ad584d5ca8d [^]

fixes issue 27240: On Change Function in Process Definition non editable fields

The handleItemChange method is the method in charge of execute the on change function on onblur. This event is not fired when setting the value of a field programmatically. To solve this, a new method has been introduced in the API: setValueAndHandleItemChange() which invokes handleItemChange() after setting the value of a the field.

This method will be available automatically just for those Process Definition fields with an on change function assigned to them through the application dictionary.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-form.js
---
(0082517)
hgbot (developer)
2015-12-02 10:01

Repository: erp/devel/pi
Changeset: 2ad48c10e4ea991b4b933a84934da25918120dc6
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Dec 02 10:00:19 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2ad48c10e4ea991b4b933a84934da25918120dc6 [^]

related to issue 27240: improvements in new method

make the method available for all parameters, this way it can be used in general. The handleItemChange() will only be executed if the parameter has an On Change Function

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-form.js
---
(0082523)
hgbot (developer)
2015-12-02 11:13

Repository: erp/devel/pi
Changeset: d17c2694db1c398ffcce5fddd4ebda9d6ce3e6a8
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Dec 02 11:13:07 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d17c2694db1c398ffcce5fddd4ebda9d6ce3e6a8 [^]

related to issue 27240: added missing check for date parameters

The date parameters has their own method to set their value properly. This is now being taken into account in the setValueProgrammatically method.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-form.js
---
(0082529)
caristu (developer)
2015-12-02 11:31

Updated the wiki page: http://wiki.openbravo.com/wiki/How_to_create_a_Standard_Process_Definition#How_to_set_the_value_of_non-grid_parameters_programmatically [^]
(0082552)
hudsonbot (developer)
2015-12-02 20:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae274ef69cf6 [^]
Maturity status: Test
(0082553)
hudsonbot (developer)
2015-12-02 20:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae274ef69cf6 [^]
Maturity status: Test
(0082555)
hudsonbot (developer)
2015-12-02 20:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae274ef69cf6 [^]
Maturity status: Test
(0082670)
alostale (developer)
2015-12-11 08:46

code reviewed + tested

- Issue History
Date Modified Username Field Change
2014-07-30 18:25 umartirena New Issue
2014-07-30 18:25 umartirena Assigned To => AugustoMauch
2014-07-30 18:25 umartirena Modules => Core
2014-07-30 18:25 umartirena Triggers an Emergency Pack => No
2015-03-11 11:24 alostale Priority urgent => high
2015-03-11 11:24 alostale Status new => acknowledged
2015-03-17 14:37 alostale Assigned To AugustoMauch => platform
2015-11-27 15:32 caristu Assigned To platform => caristu
2015-11-27 15:32 caristu Status acknowledged => scheduled
2015-12-02 09:29 caristu Review Assigned To => alostale
2015-12-02 09:29 caristu Issue Monitored: alostale
2015-12-02 09:29 hgbot Checkin
2015-12-02 09:29 hgbot Note Added: 0082515
2015-12-02 09:29 hgbot Status scheduled => resolved
2015-12-02 09:29 hgbot Resolution open => fixed
2015-12-02 09:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0a811f99d7f816312ef1cbfbf7831ad584d5ca8d [^]
2015-12-02 09:46 caristu Note Added: 0082516
2015-12-02 10:01 hgbot Checkin
2015-12-02 10:01 hgbot Note Added: 0082517
2015-12-02 10:42 caristu Relationship added related to 0029544
2015-12-02 11:05 caristu Note Deleted: 0082516
2015-12-02 11:13 hgbot Checkin
2015-12-02 11:13 hgbot Note Added: 0082523
2015-12-02 11:31 caristu Note Added: 0082529
2015-12-02 20:07 hudsonbot Checkin
2015-12-02 20:07 hudsonbot Note Added: 0082552
2015-12-02 20:07 hudsonbot Checkin
2015-12-02 20:07 hudsonbot Note Added: 0082553
2015-12-02 20:07 hudsonbot Checkin
2015-12-02 20:07 hudsonbot Note Added: 0082555
2015-12-11 08:46 alostale Note Added: 0082670
2015-12-11 08:46 alostale Status resolved => closed
2015-12-11 08:46 alostale Fixed in Version => 3.0PR16Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker